



<!DOCTYPE html>
<html lang="en" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      <meta http-equiv="x-ua-compatible" content="ie=edge">
      
      
      
      
        <meta name="lang:clipboard.copy" content="Copy to clipboard">
      
        <meta name="lang:clipboard.copied" content="Copied to clipboard">
      
        <meta name="lang:search.language" content="en">
      
        <meta name="lang:search.pipeline.stopwords" content="True">
      
        <meta name="lang:search.pipeline.trimmer" content="True">
      
        <meta name="lang:search.result.none" content="No matching documents">
      
        <meta name="lang:search.result.one" content="1 matching document">
      
        <meta name="lang:search.result.other" content="# matching documents">
      
        <meta name="lang:search.tokenizer" content="[\s\-]+">
      
      <link rel="shortcut icon" href="../../assets/images/favicon.png">
      <meta name="generator" content="mkdocs-0.17.3, mkdocs-material-2.7.2">
    
    
      
        <title>Installation - HomelabOS</title>
      
    
    
      <link rel="stylesheet" href="../../assets/stylesheets/application.8d40d89b.css">
      
    
    
      <script src="../../assets/javascripts/modernizr.1aa3b519.js"></script>
    
    
      <link href="https://fonts.gstatic.com" rel="preconnect" crossorigin>
      
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700|Roboto+Mono">
        <style>body,input{font-family:"Roboto","Helvetica Neue",Helvetica,Arial,sans-serif}code,kbd,pre{font-family:"Roboto Mono","Courier New",Courier,monospace}</style>
      
      <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    
    
    
  </head>
  
    <body dir="ltr">
  
    <svg class="md-svg">
      <defs>
        
        
          <svg xmlns="http://www.w3.org/2000/svg" width="500" height="500"
    viewBox="0 0 500 500" id="gitlab">
  <g transform="translate(156.197863, 1.160267)">
  	<path fill="currentColor"
        d="M93.667,473.347L93.667,473.347l90.684-279.097H2.983L93.667,
          473.347L93.667,473.347z" />
  </g>
  <g transform="translate(28.531199, 1.160800)" opacity="0.7">
  	<path fill="currentColor"
        d="M221.333,473.345L130.649,194.25H3.557L221.333,473.345L221.333,
          473.345z" />
  </g>
  <g transform="translate(0.088533, 0.255867)" opacity="0.5">
  	<path fill="currentColor"
        d="M32,195.155L32,195.155L4.441,279.97c-2.513,7.735,0.24,16.21,6.821,
          20.99l238.514,173.29 L32,195.155L32,195.155z" />
  </g>
  <g transform="translate(29.421866, 280.255593)">
  	<path fill="currentColor"
        d="M2.667-84.844h127.092L75.14-252.942c-2.811-8.649-15.047-8.649-17.856,
          0L2.667-84.844 L2.667-84.844z" />
  </g>
  <g transform="translate(247.197860, 1.160800)" opacity="0.7">
  	<path fill="currentColor"
        d="M2.667,473.345L93.351,194.25h127.092L2.667,473.345L2.667,
          473.345z" />
  </g>
  <g transform="translate(246.307061, 0.255867)" opacity="0.5">
  	<path fill="currentColor"
        d="M221.334,195.155L221.334,195.155l27.559,84.815c2.514,7.735-0.24,
          16.21-6.821,20.99 L3.557,474.25L221.334,195.155L221.334,195.155z" />
  </g>
  <g transform="translate(336.973725, 280.255593)">
  	<path fill="currentColor"
        d="M130.667-84.844H3.575l54.618-168.098c2.811-8.649,15.047-8.649,
          17.856,0L130.667-84.844 L130.667-84.844z" />
  </g>
</svg>
        
      </defs>
    </svg>
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="search" autocomplete="off">
    <label class="md-overlay" data-md-component="overlay" for="drawer"></label>
    
      <a href="#installation" tabindex="1" class="md-skip">
        Skip to content
      </a>
    
    
      <header class="md-header" data-md-component="header">
  <nav class="md-header-nav md-grid">
    <div class="md-flex">
      <div class="md-flex__cell md-flex__cell--shrink">
        <a href="../.." title="HomelabOS" class="md-header-nav__button md-logo">
          
            <i class="md-icon">home</i>
          
        </a>
      </div>
      <div class="md-flex__cell md-flex__cell--shrink">
        <label class="md-icon md-icon--menu md-header-nav__button" for="drawer"></label>
      </div>
      <div class="md-flex__cell md-flex__cell--stretch">
        <div class="md-flex__ellipsis md-header-nav__title" data-md-component="title">
          
            
              <span class="md-header-nav__topic">
                HomelabOS
              </span>
              <span class="md-header-nav__topic">
                Installation
              </span>
            
          
        </div>
      </div>
      <div class="md-flex__cell md-flex__cell--shrink">
        
          
            <label class="md-icon md-icon--search md-header-nav__button" for="search"></label>
            
<div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" placeholder="Search" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="query" data-md-state="active">
      <label class="md-icon md-search__icon" for="search"></label>
      <button type="reset" class="md-icon md-search__icon" data-md-component="reset" tabindex="-1">
        &#xE5CD;
      </button>
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="result">
          <div class="md-search-result__meta">
            Type to start searching
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
          
        
      </div>
      
        <div class="md-flex__cell md-flex__cell--shrink">
          <div class="md-header-nav__source">
            


  


  <a href="https://gitlab.com/NickBusey/HomelabOS/" title="Go to repository" class="md-source" data-md-source="gitlab">
    
      <div class="md-source__icon">
        <svg viewBox="0 0 24 24" width="24" height="24">
          <use xlink:href="#gitlab" width="24" height="24"></use>
        </svg>
      </div>
    
    <div class="md-source__repository">
      Gitlab
    </div>
  </a>

          </div>
        </div>
      
    </div>
  </nav>
</header>
    
    <div class="md-container">
      
        
      
      
      <main class="md-main">
        <div class="md-main__inner md-grid" data-md-component="container">
          
            
              <div class="md-sidebar md-sidebar--primary" data-md-component="navigation">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    <nav class="md-nav md-nav--primary" data-md-level="0">
  <label class="md-nav__title md-nav__title--site" for="drawer">
    <span class="md-nav__button md-logo">
      
        <i class="md-icon">home</i>
      
    </span>
    HomelabOS
  </label>
  
    <div class="md-nav__source">
      


  


  <a href="https://gitlab.com/NickBusey/HomelabOS/" title="Go to repository" class="md-source" data-md-source="gitlab">
    
      <div class="md-source__icon">
        <svg viewBox="0 0 24 24" width="24" height="24">
          <use xlink:href="#gitlab" width="24" height="24"></use>
        </svg>
      </div>
    
    <div class="md-source__repository">
      Gitlab
    </div>
  </a>

    </div>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      


  <li class="md-nav__item">
    <a href="../.." title="Home" class="md-nav__link">
      Home
    </a>
  </li>

    
      
      
      

  


  <li class="md-nav__item md-nav__item--active md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-2" type="checkbox" id="nav-2" checked>
    
    <label class="md-nav__link" for="nav-2">
      Setup
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="1">
      <label class="md-nav__title" for="nav-2">
        Setup
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          

  


  <li class="md-nav__item md-nav__item--active">
    
    <input class="md-toggle md-nav__toggle" data-md-toggle="toc" type="checkbox" id="toc">
    
      
    
    
      <label class="md-nav__link md-nav__link--active" for="toc">
        Installation
      </label>
    
    <a href="./" title="Installation" class="md-nav__link md-nav__link--active">
      Installation
    </a>
    
      
<nav class="md-nav md-nav--secondary">
  
  
    
  
  
    <label class="md-nav__title" for="toc">Table of contents</label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#network-configuration" title="Network Configuration" class="md-nav__link">
    Network Configuration
  </a>
  
</li>
      
      
      
      
      
    </ul>
  
</nav>
    
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../gettingstarted/" title="Getting Started" class="md-nav__link">
      Getting Started
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../backups/" title="Backups" class="md-nav__link">
      Backups
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
      
      
      


  <li class="md-nav__item md-nav__item--nested">
    
      <input class="md-toggle md-nav__toggle" data-md-toggle="nav-3" type="checkbox" id="nav-3">
    
    <label class="md-nav__link" for="nav-3">
      Included Software
    </label>
    <nav class="md-nav" data-md-component="collapsible" data-md-level="1">
      <label class="md-nav__title" for="nav-3">
        Included Software
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/convos/" title="Convos" class="md-nav__link">
      Convos
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/darksky/" title="Darksky" class="md-nav__link">
      Darksky
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/dasher/" title="Dasher" class="md-nav__link">
      Dasher
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/emby/" title="Emby" class="md-nav__link">
      Emby
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/firefly/" title="Firefly III" class="md-nav__link">
      Firefly III
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/gitea/" title="Gitea" class="md-nav__link">
      Gitea
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/grafana/" title="Grafana" class="md-nav__link">
      Grafana
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/homeassistant/" title="Home Assistant" class="md-nav__link">
      Home Assistant
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/influxdb/" title="InfluxDB" class="md-nav__link">
      InfluxDB
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/nextcloud/" title="NextCloud" class="md-nav__link">
      NextCloud
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/paperless/" title="Paperless" class="md-nav__link">
      Paperless
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/portainer/" title="Portainer" class="md-nav__link">
      Portainer
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/terminal/" title="Terminal" class="md-nav__link">
      Terminal
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../../software/transmission/" title="Transmission" class="md-nav__link">
      Transmission
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              <div class="md-sidebar md-sidebar--secondary" data-md-component="toc">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    
<nav class="md-nav md-nav--secondary">
  
  
    
  
  
    <label class="md-nav__title" for="toc">Table of contents</label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#network-configuration" title="Network Configuration" class="md-nav__link">
    Network Configuration
  </a>
  
</li>
      
      
      
      
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          <div class="md-content">
            <article class="md-content__inner md-typeset">
              
                
                  <a href="https://gitlab.com/NickBusey/HomelabOS/edit/master/docs/setup/installation.md" title="Edit this page" class="md-icon md-content__icon">&#xE3C9;</a>
                
                
                <h1 id="installation">Installation</h1>
<p>Clone the repository if you have git <code>git clone git@gitlab.com:NickBusey/HomelabOS.git</code> or <a href="https://gitlab.com/NickBusey/HomelabOS/-/archive/master/HomelabOS-master.zip">download it from GitLab</a>.</p>
<p>Make sure you have Ansible 2.5+ installed.</p>
<p>Copy <code>group_vars/homelabos</code> to <code>host_vars/myserver</code> and change the settings to match your setup.</p>
<p>Once you have set at a very minimum the required fields in that file, you can begin the installation.</p>
<p>Now from inside the HomelabOS folder execute the terminal command <code>make</code>.</p>
<p>You can always change settings and re-run <code>make</code> to update the server with these settings.</p>
<h2 id="network-configuration">Network Configuration</h2>
<p>It is recommended to register an actual domain to point at your Homelab, but if you can't or would prefer not to, you can use HomelabOS fully inside your network. Simply make up a domain that ends in <code>.local</code> and enter that as your domain in <code>host_vars/myserver</code>.</p>
<p>When HomelabOS <code>make</code> command completes, it creates a file on the computer which ran make <code>/tmp/homelabos_hosts</code>. You can take the contents of this file and create local DNS overrides using it. All your requests should complete as expected.</p>
                
                  
                
              
              
                


              
            </article>
          </div>
        </div>
      </main>
      
        
<footer class="md-footer">
  
    <div class="md-footer-nav">
      <nav class="md-footer-nav__inner md-grid">
        
          <a href="../.." title="Home" class="md-flex md-footer-nav__link md-footer-nav__link--prev" rel="prev">
            <div class="md-flex__cell md-flex__cell--shrink">
              <i class="md-icon md-icon--arrow-back md-footer-nav__button"></i>
            </div>
            <div class="md-flex__cell md-flex__cell--stretch md-footer-nav__title">
              <span class="md-flex__ellipsis">
                <span class="md-footer-nav__direction">
                  Previous
                </span>
                Home
              </span>
            </div>
          </a>
        
        
          <a href="../gettingstarted/" title="Getting Started" class="md-flex md-footer-nav__link md-footer-nav__link--next" rel="next">
            <div class="md-flex__cell md-flex__cell--stretch md-footer-nav__title">
              <span class="md-flex__ellipsis">
                <span class="md-footer-nav__direction">
                  Next
                </span>
                Getting Started
              </span>
            </div>
            <div class="md-flex__cell md-flex__cell--shrink">
              <i class="md-icon md-icon--arrow-forward md-footer-nav__button"></i>
            </div>
          </a>
        
      </nav>
    </div>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-footer-copyright">
        
        powered by
        <a href="http://www.mkdocs.org">MkDocs</a>
        and
        <a href="https://squidfunk.github.io/mkdocs-material/">
          Material for MkDocs</a>
      </div>
      
        
      
    </div>
  </div>
</footer>
      
    </div>
    
      <script src="../../assets/javascripts/application.b438e6c5.js"></script>
      
      <script>app.initialize({version:"0.17.3",url:{base:"../.."}})</script>
      
    
    
      
    
  </body>
</html>